Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Structures | Macros | Typedefs
fbuffer.h File Reference
`#include "ruby.h"`
`#include "ruby/encoding.h"`

Go to the source code of this file.

## Data Structures
struct | FBufferStruct

## Macros
#define | RHASH_SIZE(hsh) (RHASH(hsh)->tbl->num_entries)
#define | RB_OBJ_CLASSNAME(obj) rb_obj_class(obj)
#define | RB_OBJ_STRING(obj) (obj)
#define | FORCE_UTF8(obj) rb_enc_associate((obj), rb_utf8_encoding())
#define | FBUFFER_INITIAL_LENGTH_DEFAULT 1024
#define | FBUFFER_PTR(fb) (fb->ptr)
#define | FBUFFER_LEN(fb) (fb->len)
#define | FBUFFER_CAPA(fb) (fb->capa)
#define | FBUFFER_PAIR(fb) FBUFFER_PTR(fb), FBUFFER_LEN(fb)

## Typedefs
typedef struct FBufferStruct | FBuffer

## Macro Definition Documentation

## ◆ FBUFFER_CAPA

#define FBUFFER_CAPA | ( |  | fb | ) | (fb->capa)

Definition at line 57 of file fbuffer.h.

## ◆ FBUFFER_INITIAL_LENGTH_DEFAULT

#define FBUFFER_INITIAL_LENGTH_DEFAULT 1024

Definition at line 53 of file fbuffer.h.

## ◆ FBUFFER_LEN

#define FBUFFER_LEN | ( |  | fb | ) | (fb->len)

Definition at line 56 of file fbuffer.h.

## ◆ FBUFFER_PAIR

#define FBUFFER_PAIR | ( |  | fb | ) | FBUFFER_PTR(fb), FBUFFER_LEN(fb)

Definition at line 58 of file fbuffer.h.

## ◆ FBUFFER_PTR

#define FBUFFER_PTR | ( |  | fb | ) | (fb->ptr)

Definition at line 55 of file fbuffer.h.

## ◆ FORCE_UTF8

#define FORCE_UTF8 | ( |  | obj | ) | rb_enc_associate((obj), rb_utf8_encoding())

Definition at line 36 of file fbuffer.h.

## ◆ RB_OBJ_CLASSNAME

#define RB_OBJ_CLASSNAME | ( |  | obj | ) | rb_obj_class(obj)

Definition at line 26 of file fbuffer.h.

## ◆ RB_OBJ_STRING

#define RB_OBJ_STRING | ( |  | obj | ) | (obj)

Definition at line 27 of file fbuffer.h.

## ◆ RHASH_SIZE

#define RHASH_SIZE | ( |  | hsh | ) | (RHASH(hsh)->tbl->num_entries)

Definition at line 8 of file fbuffer.h.

## Typedef Documentation

## ◆ FBuffer

typedef struct FBufferStruct FBuffer